Name: gtk-engines-geramik
Version: 0.27
Release: alt2
%define geram_ver %version
%define qtpix_ver 0.28

Summary: QTPixmap GTK engine and Geramik GTK theme
Group: Graphical desktop/Other
Url: http://www.kde-look.org/usermanager/search.php?username=CraigD
#Url: http://www.kde-look.org/content/show.php?content=3952
License: GPL

Provides: gtk-engines-thingeramik = %version-%release
Provides: Geramik = %version-%release
Obsoletes: Geramik
Provides: ThinGeramik = %version-%release
Obsoletes: ThinGeramik

Source0: Geramik-%version.tar.bz2
Source1: QtPixmap-%qtpix_ver.tar.bz2
Patch1: QtPixmap-0.26-qt_home_dir.patch
Patch2: QtPixmap-0.27-set_encoding.patch
Patch3: QtPixmap-0.26-first_start_font_size.patch

# Automatically added by buildreq on Tue Feb 04 2003
#BuildRequires: XFree86-devel gcc-c++ glib-devel glib2-devel gtk+-devel imlib-devel libatk-devel libgtk+2-devel libpango-devel libstdc++-devel pkgconfig

BuildRequires: XFree86-devel gcc-c++ glib-devel glib2-devel gtk+-devel
BuildRequires: imlib-devel libatk-devel libgtk+2-devel libpango-devel
BuildRequires: libstdc++-devel pkgconfig

%description
This is a engine/theme intended to make GTK applications have a similar look
to the Keramik KDE style.

%prep
%setup -q -n Geramik-%version -a1
pushd QtPixmap*
%patch1 -p1
%patch2 -p1
%patch3 -p1
popd

%build
pushd QtPixmap*
%configure
%make_build
popd
%configure
%make_build

%install
pushd QtPixmap*
%makeinstall
popd
%makeinstall
rm -f $RPM_BUILD_ROOT%_datadir/themes/Geramik/README.html
rm -f $RPM_BUILD_ROOT%_datadir/themes/ThinGeramik/README.html

#mv $RPM_BUILD_ROOT%_datadir/themes/Geramik/gtk-2.0/gtkrc-2.0 $RPM_BUILD_ROOT%_datadir/themes/Geramik/gtk-2.0/gtkrc

#remove unpackages files
rm -f $RPM_BUILD_ROOT%_libdir/gtk/themes/engines/*.la \
  $RPM_BUILD_ROOT%_libdir/gtk-2.0/*/engines/*.la

%files
%_datadir/themes/*
%_libdir/gtk/themes/engines/libqtpixmap.so
%_libdir/gtk-2.0/*/engines/libqtpixmap.so
%doc AUTHORS ChangeLog README TODO Geramik/README.html

%changelog
* Thu Apr 15 2004 Sergey V Turchin <zerg at altlinux dot org> 0.27-alt2
- update QtPixmap to 0.28
- rebuild with gtk-2.4.x

* Thu Jan 22 2004 Sergey V Turchin <zerg at altlinux dot org> 0.27-alt1
- new version

* Mon Oct 20 2003 Sergey V Turchin <zerg at altlinux dot org> 0.26-alt2
- fix font size when first start and KDE create default qtrc

* Fri Oct 10 2003 Sergey V Turchin <zerg at altlinux dot org> 0.26-alt1
- new version
- fix messages encoding in KDE in *.CP1251 locales

* Thu Apr 03 2003 Sergey V Turchin <zerg@altlinux.ru> 0.23-alt1
- new version

* Thu Feb 06 2003 Sergey V Turchin <zerg@altlinux.ru> 0.18-alt2
- change package name from Geramik
  to gtk-engines-geramik

* Tue Feb 04 2003 Sergey V Turchin <zerg@altlinux.ru> 0.18-alt1
- build for ALT

* Tue Jan 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.17-2mdk
- Drop the gtkrc (un)installation stuff in %post/%postun, this is completely broken..
- Use correct name for gtk+ 2.0 rc file (fix use in GNOME theme manager)

* Fri Jan 03 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.17-1mdk
- new release
- rebuild for new gtk+-2.2.0

* Tue Dec 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.15-1mdk
- from David Walser <luigiwalser@yahoo.com> :
	- 0.15
	- Add some BuildRequires (thanks Luca Olivetti)

* Tue Dec 10 2002 David Walser <luigiwalser@yahoo.com> 0.14-1mdk
- 0.14

* Mon Dec 09 2002 David Walser <luigiwalser@yahoo.com> 0.13-1mdk
- 0.13

* Thu Dec 05 2002 David Walser <luigiwalser@yahoo.com> 0.11-1mdk
- 0.11

* Wed Dec 04 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.10-1mdk
- 0.10

* Thu Nov 29 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.09-1mdk
- 0.09

* Tue Nov 26 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.08-1mdk
- 0.08

* Mon Nov 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.07-1mdk
- from David Walser <luigiwalser@yahoo.com> :
	- 0.07

* Thu Nov 21 2002 David Walser <luigiwalser@yahoo.com> 0.06-1mdk
- 0.06
- Fix another upgrade bug

* Tue Nov 19 2002 David Walser <luigiwalser@yahoo.com> 0.05-1mdk
- 0.05

* Sun Nov 17 2002 David Walser <luigiwalser@yahoo.com> 0.04-2mdk
- Fix upgrade bug

* Sun Nov 17 2002 David Walser <luigiwalser@yahoo.com> 0.04-1mdk
- 0.4

* Fri Nov 15 2002 David Walser <luigiwalser@yahoo.com> 0.03-1mdk
- Initial Mandrake package
